#
# spec file for package xfce4-smartbookmark-plugin
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define panel_version 4.14.0
%define plugin smartbookmark
%bcond_with git
Name:           xfce4-smartbookmark-plugin
Version:        0.5.2
Release:        bp155.2.14
Summary:        Smart Bookmark Plugin for the Xfce Panel
License:        GPL-2.0-or-later
Group:          System/GUI/XFCE
URL:            https://docs.xfce.org/panel-plugins/xfce4-smartbookmark-plugin
Source0:        https://archive.xfce.org/src/panel-plugins/%{name}/0.5/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libxfce4panel-2.0) >= %{panel_version}
BuildRequires:  pkgconfig(libxfce4ui-2) >= %{panel_version}
%if %{with git}
BuildRequires:  xfce4-dev-tools
%endif
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
# package was renamed in 2019 after Leap 15.1
Provides:       xfce4-panel-plugin-%{plugin} = %{version}-%{release}
Obsoletes:      xfce4-panel-plugin-%{plugin} < %{version}-%{release}
Obsoletes:      xfce4-panel-plugin-%{plugin}-debuginfo

%description
The Smartbookmark plugin follows the smart bookmark concept and allows users to
send requests to websites through default browser.

%package lang
Summary:        Translations for package %{name}
Group:          System/Localization
Requires:       %{name} = %{version}
Supplements:    %{name}
Provides:       %{name}-lang-all = %{version}
# package was renamed in 2019 after Leap 15.1
Obsoletes:      xfce4-panel-plugin-smartbookmark-lang < %{version}-%{release}
Provides:       xfce4-panel-plugin-smartbookmark-lang = %{version}-%{release}
BuildArch:      noarch

%description lang
Provides translations for the "%{name}" package.

%prep
%autosetup -p1

%build
%if %{with git}
NOCONFIGURE=1 ./autogen.sh
%configure \
    --enable-maintainer-mode \
    --disable-static
%else
%configure --disable-static
%endif
%make_build

%install
%make_install

rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libsmartbookmark.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%doc AUTHORS ChangeLog NEWS README.md
%license COPYING
%{_libdir}/xfce4/panel/plugins/libsmartbookmark.so
%{_datadir}/xfce4/panel/plugins/smartbookmark.desktop

%files lang -f %{name}.lang

%changelog
* Fri Dec 25 2020 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to version 0.5.2
  * Fix build with panel 4.15
  * Fix ISO C90 forbids mixed declarations and code
  * Update configure.ac.in syntax
  * Create README.md. Update configure.ac.in
  * Add basic GitLab pipeline
  * Update URLs from goodies.x.o to docs.x.o (bxo#16176)
  * Fix build with panel 4.15
  * Make build less verbose
  * s/http/https
  * Translation Updates
- Remove xfce4-smartbookmark-plugin-0.5.0-defaults.patch
  * Xfce Bugzilla was replaced by Gitlab, the Patch no longer applies
* Fri Aug 16 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Fixed sources in spec file
* Wed Aug 14 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 0.5.1
  - Preferences: Improve spacing and layout (bxo#14675)
  - Translation updates
* Tue Jul 16 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Package renamed to follow upstream name xfce4-foo-plugin
- Use lang subpackage for manual edits instead of %%lang_package macro
- Cleaned up spec file
- Renamed xfce4-panel-plugin-smartbookmark-0.5.0-defaults.patch
  to xfce4-smartbookmark-plugin-0.5.0-defaults.patch
* Wed Jun  5 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Added bcond for GIT master sources
- Added OBS service file to fetch git master sources when needed
- Cleaned up spec file
* Sat May 11 2019 Maurizio Galli <maurizio.galli@gmail.com>
- Dropped exo hard dependency as it's useless and causes issues
  (boo#1134790)
- Cleanedup spec file
* Sat Sep 30 2017 seife+obs@b1-systems.com
- + xfce4-panel-plugin-smartbookmark-0.5.0-defaults.patch
- - xfce4-panel-plugin-smartbookmark-0.4.2-defaults.patch
* Sun Nov 27 2016 seife+obs@b1-systems.com
- update to version 0.5.0
  - port to gtk+3/libxfce4ui-2/libxfce4panel-2.0
  - fix value changes saving in prefs dialog (#12666)
  - fix boolean logic in GtkSwitch use
* Tue Mar 10 2015 gber@opensuse.org
- update to version 0.4.6
  - remove the GtkEventBox and use an XfceHVBox instead
  - make sure childs are reaped, instead of leaving zombies
    behind (bxo#9791)
  - updated translations
* Mon Jan 28 2013 gber@opensuse.org
- update to version 0.4.5
  - port to libxfce4ui
  - build the plugin as a module
  - fix broken argument handling
  - save config after destroying the dialog
  - allow numpad enter to trigger the search too
- drop obsolete xfce4-panel-plugin-smartbookmark-use-exo-open.patch
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Wed Apr 18 2012 gber@opensuse.org
- remove libtool file
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Sun Apr 15 2012 gber@opensuse.org
- added xfce4-panel-plugin-smartbookmark-use-exo-open.patch in
  order to use exo-open instead of xfbrowser4 which has been
  removed in 4.10 (bxo#8642)
- use https://bugzilla.xfce.org/ as the default bookmark
* Wed Apr  4 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Sun Nov 13 2011 gber@opensuse.org
- update to version 0.4.4
  - fix compatibility with Xfce 4.7+
  - fix focusing the entry widget
  - translation updates
  - updates to the build system
- dropped obsolete
  xfce4-panel-plugin-smartbookmark-0.4.2-fix-build-with-4.8.patch
  and
  xfce4-panel-plugin-smartbookmark-0.4.2-fix-focusing-entry-widget.patch
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
